Package org.apache.sysds.runtime.io

# Class ReaderTextCellParallel.CellBuffer

java.lang.Object
org.apache.sysds.runtime.io.ReaderTextCellParallel.CellBuffer

Enclosing class:
  ReaderTextCellParallel

public static class ReaderTextCellParallel.CellBuffer extends Object
Useful class for buffering unordered cells before locking target onces and appending all buffered cells.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CAPACITY`

## Constructor Summary

Constructors
Constructor
Description
`CellBuffer(boolean values)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCell(int rlen, int clen, double val)`
`void`
`flushCellBufferToSparseBlock(SparseBlock dest)`
`void`
`flushCellBufferToSparseBlockMCSR(SparseBlockMCSR dest)`
`void`
`reset()`
`int`
`size()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CAPACITY

public static final int CAPACITY

See Also:
  - Constant Field Values

## Constructor Details

### CellBuffer

public CellBuffer(boolean values)

## Method Details

### addCell

public void addCell(int rlen, int clen, double val)

### flushCellBufferToSparseBlock

public void flushCellBufferToSparseBlock(SparseBlock dest)

### flushCellBufferToSparseBlockMCSR

public void flushCellBufferToSparseBlockMCSR(SparseBlockMCSR dest)

### size

public int size()

### reset

public void reset()